> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a setting



## OpenAPI

````yaml put /admin/settings/{settings_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/settings/{settings_id}:
    put:
      tags:
        - Settings
      summary: Edit a setting
      operationId: 413d2d204bf2348941c8b9fb6c15891a
      parameters:
        - name: settings_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  type: integer
                client_id:
                  type: string
                name:
                  type: string
                text_front:
                  type: string
                text_profile:
                  type: string
                text_checkout:
                  type: string
                text_account:
                  type: string
                info:
                  type: string
                allow_email:
                  type: string
                show_payment:
                  type: string
                deleted_at:
                  type: string
                created_at:
                  type: string
                updated_at:
                  type: string
                __hevo__ingested_at:
                  type: string
                __hevo__marked_deleted:
                  type: string
                __hevo__source_modified_at:
                  type: string
                __hevo__database_name:
                  type: string
                program_type:
                  type: string
                sp_num:
                  type: string
                labels:
                  type: string
                number_spon:
                  type: string
                donation_target:
                  type: string
                sponsorship_amount:
                  type: string
                transaction_amount:
                  type: string
                currency_symbol:
                  type: string
                duration:
                  type: string
                stripe:
                  type: string
                login_box:
                  type: string
                checks:
                  type: string
                designations:
                  type: string
                sorting:
                  type: string
                display_all:
                  type: string
                wire_transfer:
                  type: string
                cash:
                  type: string
                hide_payment_method:
                  type: string
                hide_frequency:
                  type: string
                disable_program_link:
                  type: string
                display_info:
                  type: string
                display_percent:
                  type: string
                processing_fee:
                  type: string
                processing_percentage:
                  type: string
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Settings Saved.
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Error message
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````